org.apache.ignite.ml.inference.json

## Class JSONModel

- java.lang.Object
- - org.apache.ignite.ml.inference.json.JSONModel

- Direct Known Subclasses:
    ANNClassificationModel.ANNJSONExportModel, KMeansModel.KMeansJSONExportModel, LinearRegressionModel.LinearRegressionModelJSONExportModel, LogisticRegressionModel.LogisticRegressionJSONExportModel, SVMLinearClassificationModel.SVMLinearClassificationJSONExportModel

      public abstract class JSONModel
      extends Object

  Basic class for all non-trivial model data serialization.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `formatVersion` Ignite version.
    `static String` | `JSON_MODEL_FORMAT_VERSION` Basic Ignite version.
    `String` | `modelClass` String description of model class.
    `Long` | `timestamp` Timestamp in ms from System.currentTimeMillis() method.
    `String` | `uid` Unique string indetifier.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JSONModel()`
    `JSONModel(Long timestamp, String uid, String modelClass)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract IgniteModel` | `convert()` Convert JSON string to IgniteModel object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JSON_MODEL_FORMAT_VERSION

          public static final String JSON_MODEL_FORMAT_VERSION

      Basic Ignite version.
      See Also:
        Constant Field Values

    - #### formatVersion

          public String formatVersion

      Ignite version.

    - #### timestamp

          public Long timestamp

      Timestamp in ms from System.currentTimeMillis() method.

    - #### uid

          public String uid

      Unique string indetifier.

    - #### modelClass

          public String modelClass

      String description of model class.

  - ### Constructor Detail

    - #### JSONModel

          public JSONModel(Long timestamp,
                           String uid,
                           String modelClass)

    - #### JSONModel

          public JSONModel()

  - ### Method Detail

    - #### convert

          public abstract IgniteModel convert()

      Convert JSON string to IgniteModel object.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023